#服务端口
server:
  port: 10000

#注册中心URL
eureka:
  client:
    serviceUrl:
      defaultZone: http://10.205.68.20:10000/eureka/,http://10.205.69.20:10000/eureka/
  instance:
    preferIpAddress: true  
    lease-renewal-interval-in-seconds: 2
    leaseExpirationDurationInSeconds: 3
    ip-address: ${EC2_PRIVATE_IP}

ribbon:
  MaxConnectionsPerHost: 1000
  MaxTotalConnections: 5000
  PoolMaxThreads: 5000
  ConnectTimeout: 15000
  ReadTimeout: 30000
  
hystrix:
  #hystrix任务执行超时时间
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 30000
  #hystrix并发等待最大值，-1时无限制
  threadpool:
    default:
      maxQueueSize: -1
      
spring:
  #数据库
  datasource:
    url: jdbc:mysql://uop-dev-wx.czs6eaylfkoa.rds.cn-north-1.amazonaws.com.cn:3306/uop?useUnicode=true&amp;characterEncoding=UTF-8&allowMultiQueries=true
    username: root
    password: Bestv001!
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
    filters: stat
    maxActive: 20
    initialSize: 1
    maxWait: 60000
    minIdle: 1
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20
    
#mybatis
mybatis:
  mapperLocations: classpath:mapper/*.xml
  
#报名模板消息跳转链接
weixin:
  templateMessage:
    signUp-url: http://dev-uop-wx.opg.cn/uop/index.html?state=detailIndent_
    
    
#默认微信ID:
default: 
  weixinId: gh_9d9b28dbd98b  
